=== debian/changelog ===
acpi-support (0.109-11) unstable; urgency=high

  * Fix postinst to not remove thinkpad_acpi.modprobe. Closes: #514278
  * Fix tests in postinst that are supposed to match on upgrade only to
    not match on initial install (when $2 is empty).

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 06 Feb 2009 09:09:28 +0100

acpi-support (0.109-10) unstable; urgency=low

  * Fix default settings for Thinkpad R50e 1834. Closes: #507927

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 12 Dec 2008 16:33:12 +0100

acpi-support (0.109-9) unstable; urgency=low

  * Fix fix on broken getXuser so that it only takes the first
    line of output from w -hs that matches  (Closes: #497999)

 -- Bart Samwel <bart@samwel.tk>  Mon, 08 Sep 2008 20:42:41 +0200

acpi-support (0.109-8) unstable; urgency=low

  * Fix broken getXuser (Closes: #497999)

 -- Bart Samwel <bart@samwel.tk>  Sun, 07 Sep 2008 10:19:26 +0200

acpi-support (0.109-7) unstable; urgency=low

  * Reported in #497220: CheckPolicy() now calls getXconsole instead of
    getXuser, as it should.
  * getXuser() now uses "w" to determine the X user. The old code used
    finger, but this was highly unreliable. (Closes: #497220)
  * Added missing 'policy-funcs' include to hibernatebtn.sh (Closes: 
    #497125)
  * scripts in /etc/acpi no longer test files from acpi-support-base
    to see if they should run (Closes: #497801)
  * Always consider a dbus-send call for a suspend method failed if 
    dbus-send returns an error code (Closes: #496911)

 -- Bart Samwel <bart@samwel.tk>  Thu, 04 Sep 2008 20:00:27 +0200

acpi-support (0.109-6) unstable; urgency=high

  * /etc/acpi/events/sleepbtn: /etc/acpi/events/sleepbtn runs wrong
    script (Closes: #489465)
  * /etc/acpi/battery.d is ignored on newer kernels (Closes: #491396)
  * Incorrect D-BUS HAL call in dbus-hal suspend method (Closes:
    #488937)

 -- Bart Samwel <bart@samwel.tk>  Tue, 19 Aug 2008 21:39:41 +0200

acpi-support (0.109-5) unstable; urgency=low

  * Make suspendorhibernate script executable.

 -- Bart Samwel <bart@samwel.tk>  Sun, 22 Jun 2008 23:11:52 +0200

acpi-support (0.109-4) unstable; urgency=low

  * Bashisms of the form '. script args' (Closes: #485435)
  * Use legacy suspend mode by default for existing setups (but not for 
    new ones) . (Closes: #485564)
  * Do not send fake keys to user interface for /etc/acpi/sleep.sh and
    /etc/acpi/hibernate.sh calls, only for button presses.
    (Closes: #484901)

 -- Bart Samwel <bart@samwel.tk>  Sun, 22 Jun 2008 23:01:32 +0200

acpi-support (0.109-3) unstable; urgency=low

  * /usr/share/acpi-support/screeblank returns 0 before blanking the
    screen (Closes: #483015)

 -- Bart Samwel <bart@samwel.tk>  Sun, 22 Jun 2008 22:43:13 +0200

acpi-support (0.109-2) unstable; urgency=low

  * Reinstate thinkpad_acpi.modprobe to fix "Many Thinkpad X60 keys stop
    working" (Closes: #481253)
  * Fix incorrect usage of getXconsole instead of getXuser in lid.sh
    (Closes: #481534)
  * toshset, nvclock moved to Recommends instead of Depends (Closes: #410918,
    #434566, #438665, #445900 #457387)
  * Deprecate built-in suspend/hibernate handling in favor of dbus
    calls.
  * Support suspend/hibernate handling by dbus calls to a power
    management daemon or HAL, calling the pm-utils package, calling the
    hibernate package, or using the legacy built-in suspend/hibernate support.
    By default, send keys to the known power management daemons, or if they
    are not running, fall back to use dbus to a power management daemon,
    dbus directly to HAL, and direct calls to pm-utils.
  * Add Recommends for hal, pm-utils, dbus.
  * Ignore errors in 90-hdparm.sh while detecting if APM is supported,
    since not all drives support the HDIO_GET_IDENTITY operation.
    (Closes: #481685)
  * lid.sh doesn't give lid.sh.pre a chance to abort the close (Closes:
    #482708)
  * Replace dependency on console-tools by console-utilities, which is a
    virtual package that allows kbd | console-tools. (Closes: #481173)
  * Installation Fails if /proc/acpi/event Not Present (Closes: #481312)
  * Set DM-Upload-Allowed field to yes.

 -- Bart Samwel <bart@samwel.tk>  Sun, 25 May 2008 18:17:46 +0200

acpi-support (0.109-1) unstable; urgency=low

  * New upstream release 0.109 (Ubuntu Hardy) [no relevant changes].
  * New upstream release 0.108 (Ubuntu Hardy) [no relevant changes].
  * New upstream release 0.107 (Ubuntu Hardy):
    * "lib/FUJITSU SIEMENS.config": Fix typo, which caused failures on Fujitsu
      notebooks (LP: #203452)
  * New upstream release 0.106 (Ubuntu Hardy):
    * Add events/asus-video to support asus switch video hotkey; patch from
      Nicolò Chieffo (LP: #138228)
    * Fix the value range in sonybright.sh (0-7 instead of 1-8); patch from
      unggnu (LP: #136380)
    * "lib/FUJITSU SIEMENS.config":
      - Enable suspend for Fujitsu-Siemens C1110 (LP: #52970)
      - Enable STR for Fujitsu-Siemens Lifebook S7020, S7110
    * events/asus-*: Fix event key names for ASUS (HOTK); patch from
      Jeroen van der Vegt (LP: #25784)
    * Fix names in comments for events/panasonic-{mute,volume-down,volume-up}    
    * Drop thinkpad_acpi.modprobe: the workarounds therein are not needed for
      thinkpad_acpi in Hardy anymore; investigations by Jerone Young
      (LP: #194679) [ Note from Bart Samwel: Therefore probably not needed in
      current Debian kernels either. ]
  * New upstream version 0.105 (from Ubuntu Hardy):
    * Fix screenblank for KDE by using a dcop call
  * Add HOTK key names in events/asus-* for more keys than provided by the
    upstream.
  * Remove extra non-owned files on purge. Closes: #455012
  * Call old acpid power button handler /etc/acpi/powerbtn.sh if present.
    Closes: #461311
  * Support "operstate" power state file for madwifi drivers. Closes: #453706.
  * Support operstate, rf_kill and power/state to determine if wireless is
    powered on. Closes: #463719.

