=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Bart Samwel <bart@samwel.tk>
Uploaders: Loic Minier <lool@dooz.org>, Raphael Hertzog <hertzog@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5), libx11-dev, x11proto-xext-dev, libxtst-dev, x11proto-core-dev
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/acpi-support/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/acpi-support/trunk/
Standards-Version: 3.7.3

Package: acpi-support
Architecture: i386 amd64 ia64 lpia
Depends: ${shlibs:Depends}, acpi-support-base (>= 0.109-1), x11-xserver-utils, acpid (>= 1.0.4), hdparm, lsb-base (>= 1.3-9), ${arch:Depends}, finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1)
Recommends: dbus, pm-utils, hal, radeontool, nvclock, ${arch:Recommends}
Conflicts: uswsusp (<= 0.2)
Suggests: laptop-mode-tools
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for 
    hardware that needs it.
  * On some laptops, set screen brightness.

Package: acpi-support-base
Architecture: all
Depends: acpid (>= 1.0.4), console-utilities
Suggests: acpi-support
Replaces: acpi-support (<< 0.109-1)
Description: scripts for handling base ACPI events such as the power button
 This package contains scripts to react to various base ACPI events
 such as the power button. For more extensive ACPI support, including support
 for suspend-to-RAM and for various laptop features, install the package
 "acpi-support".
