=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),i386)
arch-depends := -V'arch:Depends=vbetool' -V'arch:Recommends=toshset'
endif
ifeq ($(DEB_HOST_ARCH),amd64)
arch-depends := -V'arch:Depends=vbetool'
endif

clean:
	make clean
	dh_testdir
	dh_clean
	rm -f resume.d/13-915-resolution-set.sh
	# Remove unwanted files from orig.tar.gz
	rm -f suspend.d/80-video-pci-state.sh # Renamed in 81-...
	rm -f resume.d/13-855-resolution-set.sh
	rm -f resume.d/49-855-resolution-set.sh
	rm -f toshiba_acpi.modprobe README.toshiba	
	rm -f acpi-support_0.90-2.diff.gz

build:
	make

installtests:
	dh_testdir
	dh_testroot

dhclean: installtests 
	dh_clean -k

install: installtests dhclean
	dh_testdir
	dh_testroot
	dh_installdirs
	for file in lib/*; do\
		install -m 644 "$$file" debian/acpi-support/usr/share/acpi-support/;\
	done
	install -m 755 lib/suspendorhibernate debian/acpi-support/usr/share/acpi-support/
	for file in events/*; do\
		install -m 644 $$file debian/acpi-support/etc/acpi/events/;\
	done
	for file in suspend.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/suspend.d/;\
	done
	for file in resume.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/resume.d/;\
	done
	for file in start.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
	done
	for file in battery.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/battery.d/;\
	done
	for file in ac.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/ac.d/;\
	done
	for file in *.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/;\
	done
	install -m 644 acpi-support debian/acpi-support/etc/default/;
	install -m 644 thinkpad_acpi.modprobe debian/acpi-support/etc/modprobe.d/
	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/

install-base: installtests dhclean
	dh_installdirs -pacpi-support-base
	for file in lib-base/*; do\
		install -m 644 "$$file" debian/acpi-support-base/usr/share/acpi-support/;\
	done
	for file in events-base/*; do\
		install -m 644 $$file debian/acpi-support-base/etc/acpi/events/;\
	done
	for file in scripts-base/*.sh; do\
		install -m 755 $$file debian/acpi-support-base/etc/acpi/;\
	done


binary-indep:

binary-arch: installtests dhclean install install-base
	# Build additional acpi-support package
	dh_testdir
	dh_testroot
	dh_installdocs -pacpi-support
	dh_installchangelogs ChangeLog -pacpi-support
	dh_installman -pacpi-support
	dh_installinit -pacpi-support -- start 99 2 3 4 5 . stop 20 1 . 
	dh_strip -pacpi-support
	dh_compress -pacpi-support
	dh_fixperms -pacpi-support
	dh_installdeb -pacpi-support
	dh_shlibdeps -pacpi-support -- acpi_fakekey
	dh_gencontrol -pacpi-support -- $(arch-depends)
	dh_md5sums -pacpi-support
	dh_builddeb -pacpi-support
	
	# Build additional acpi-support-base package
	dh_installdocs -pacpi-support-base
	dh_installchangelogs ChangeLog -pacpi-support-base
	dh_installman -pacpi-support-base
	dh_strip -pacpi-support-base
	dh_compress -pacpi-support-base
	dh_fixperms -pacpi-support-base
	dh_installdeb -pacpi-support-base
	# No binaries: dh_shlibdeps -pacpi-support-base
	dh_gencontrol -pacpi-support-base
	dh_md5sums -pacpi-support-base
	dh_builddeb -pacpi-support-base



binary: binary-arch binary-indep
