## acpi-support 0.114

=== debian/changelog ===
acpi-support (0.114) intrepid; urgency=low

  * The rfkill interface has changed again in the 2.6.27 release(!), so
    play catch-up once more.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Oct 2008 03:08:58 +0000

acpi-support (0.113) intrepid; urgency=low

  * lib/state-funcs: add support for checking the new /sys/class/rfkill
    interface for toggling wireless antennas.  LP: #267875

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 11 Oct 2008 19:18:10 +0000

acpi-support (0.112) intrepid; urgency=low

  * acpi-support.docs:  Add installation of README
  * control:  Add laptop-mode-tools to Suggests
  * Add installation for ac.d/ and battery.d/ directories.
    (LP: #274599)
  * wireless.sh: Fix obviously wrong typo in function call name -
    toggleWirelessStates is a non-existant function
    (LP: #108897, deb #430895)
  * Fix asus brightness hotkeys so lowest/highest brightness recognized
    (LP: #76593)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 25 Sep 2008 17:50:26 -0700

acpi-support (0.111) intrepid; urgency=low

  * lib/IBM.config:  Change VBE state and POST_VIDEO for 1834's
    (LP: #40621, #211285)
  * Incorporate a portion of the changes from Debian, as detailed below.
    Debian has been accumulating valuable fixes and structural changes for
    some years, but it will take some time to digest all of them.

  [ Bart Samwel ]
  * ac.d/90-hdparm.sh, battery.d/90-hdparm.sh, resume.d/90-hdparm.sh,
    start.d/90-hdparm.sh: Set hdparm power management to 254 for all hard
    drives.  Ignore errors while detecting of APM is supported.  Set
    hdparm -B 128 while on battery in 90-hdparm.sh. Head parking is useful
    on the road for shock protection. Still set hdparm -B 254 while on AC.
    (Closes: #448673, #452489, #453478, #458787, #481685)
  * Switch from #!/bin/bash to #!/bin/sh in a number of scripts, and
    cleanup bashisms throughout.  Continues a change started with 0.93.
    (Closes: #407510, #485435, #453861)
  * Add checks for existance of key-constants and state-funcs throughout
    scripts to prevent erroneous failures when using eeepc-acpi-scripts.
    Use "test ... || ..." style over "[ ... ] || ..." just for consistency.
    (Closes: #469556)
  * Check if we can actually open event device in acpi_fakekey.c.
    (Closes: #410478)
  * Correctly detect keyboard event device in acpi_fakekey.c.  Apparently
    the power key is in the range checked by acpi_fakekey. It's now
    changed it so that it assumes that any input device which has a key in
    the QWERTYUIOP range is "the" keyboard.
    (Closes: #433771)
  * Remove useless use of grep in asus-touchpad.sh.
  * Add HOTK key names in events/asus-* for additional keys.
  * Support Asus Eee PC volume up/down and mute keys in events/asus-eee-volume-*.
    (Closes: #459326)
  * Add rotatescreen.sh, asus-rotate script to support Asus R1F tablet
    screen rotation.
    (Closes: #450531)

  [ Raphael Hertzog ]
  * Add a new SKIP_INTERFACES variables in /etc/default/acpi-support and use
    it to define network interfaces that are not tied to hardware to avoid
    shutting them down during suspend, such as lo, qemu, and dummy.
  * Improved package description in control file, thanks to Cl?ment Stenac.
    (Closes: #383691)

  [ Loic Minier ]
  * Install new manpage for acpi_fakekey, thanks Nico Golde.
    (Closes: #383365)
  * Fix "APCI" instead of "ACPI" typo in IBM.config; thanks Joshua Kwan;
    (Closes: #389511)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 24 Sep 2008 08:43:42 -0700

acpi-support (0.110) intrepid; urgency=low

  * Let laptop-mode-tools run properly (closes LP: #250938)
    - power.sh: remove laptop-mode invocations, should be handled by pm-utils
    - acpi-support: remove SPINDOWN_TIME, should be controlled by laptop-mode

 -- Alexey Borzenkov <snaury@gmail.com>  Tue, 22 Jul 2008 23:59:07 +0400
