## acpi-support 0.114-0intrepid2

=== debian/changelog ===
acpi-support (0.114-0intrepid2) intrepid-proposed; urgency=low

  [ Jakob Unterwurzacher ]
  * Defensive quoting in 90-hdparm.sh, so that the script doesn't throw
    a syntax error when the battery state is undetermined.

  [ Steve Langasek ]
  * lib/power-funcs: refactor getState() to return 'AC' by default,
    since this is implicitly the case if we don't have a battery.
    LP: #59695.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Jan 2009 13:37:16 +0000

acpi-support (0.114-0intrepid1) intrepid-proposed; urgency=low

  * {ac,battery,resume,start}.d/90-hdparm.sh: don't just check whether
    laptop-mode is configured to control the drives, also check whether 
    laptop-mode itself is *enabled*.  Finally closes LP: #59695.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Jan 2009 10:50:10 +0000
