=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),i386)
arch-depends := -V'arch:Depends=vbetool, radeontool, toshset, smartdimmer'
endif
ifeq ($(DEB_HOST_ARCH),amd64)
arch-depends := -V'arch:Depends=vbetool'
endif

clean:
	make clean
	dh_testdir
	dh_clean

build:
	make

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	for file in lib/*; do\
		install -m 644 "$$file" debian/acpi-support/usr/share/acpi-support/;\
	done
	for file in events/*; do\
		install -m 644 $$file debian/acpi-support/etc/acpi/events/;\
	done
	for file in suspend.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/suspend.d/;\
	done
	for file in resume.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/resume.d/;\
	done
	for file in start.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
	done
	for file in battery.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/battery.d/;\
	done
	for file in ac.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/ac.d/;\
	done
	for file in *.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/;\
	done
	install -m 644 acpi-support debian/acpi-support/etc/default/;
	install -m 644 toshiba_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installman
	dh_installinit -- start 99 2 3 4 5 . stop 20 1 .
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- $(arch-depends)
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
