## acpi-support 0.121

=== debian/changelog ===
acpi-support (0.121) jaunty; urgency=low

  * Remove /etc/modprobe.d/ibm_acpi.modprobe in case it's still present;
    this conffile was shipped in dapper and never cleaned up properly.
    LP: #340873.
  * Drop smartdimmer from Recommends; this was only needed for the sony
    brightness scripts, which are removed in favor of hal.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Mar 2009 09:53:30 -0700

acpi-support (0.120) jaunty; urgency=low

  [ Alexander Solodukhin ]
  * Correct suspend.d/55-down-interfaces.sh to point to
    /var/run/network/ifstate rather than /etc/network/run/ifstate.
    LP: #295544.

  [ Martin Pitt ]
  * Drop lib/*.config: I committed all sleep quirks to hal-info now
    (upstream, and in Jaunty). The ACPI_SLEEP whitelisting, as well as
    acpi-support's suspend/resume handling itself is not used by
    default any more, and almost all laptops support suspend/resume
    nowadays, so keeping a whitelist is the wrong approach.
    LP: #37303, #44781.
  * lib/device-funcs: Drop reading of .config files.
  * Drop vbesave, resume.d/17-video-restore.sh, suspend.d/
    80-video-pci-state.sh, suspend.d/80-video-vesa-state.sh:
    pm-utils and hal-info handle VBE/PCI status quirks.

  [ Scott James Remnant ]
  * suspend.d/88-time.sh, resume.d/50-time.sh: Remove since the kernel
    keeps the system clock in sync with the hardware clock over a
    suspend/resume cycle.  LP: #312486, #218120, #158358, #157936.
  * debian/preinst: Remove on upgrade.
  * Remove the toshiba_acpi.modprobe file; this sets a kernel option that's
    been the default for ages. 

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 03 Mar 2009 17:29:01 +0000

acpi-support (0.119) jaunty; urgency=low

  * debian/preinst: Fix off-by-one error in version comparison from
    0.118 fix.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Feb 2009 17:15:47 +0100

acpi-support (0.118) jaunty; urgency=low

  * Drop events/asus-mail: On newer Asus, like the eeePc, this is an
    ACPI event generated by pulling out the power chord, not pressing
    a mail key. The latter should be handled by hal-info now; if you
    have an Acer laptop with a mail key, please report a bug against
    hal-info. (LP: #268422)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Feb 2009 16:45:08 +0100

acpi-support (0.117) jaunty; urgency=low

  * Drop acpi_fakekey translations for keys that are correctly handled
    in the kernel input layer:
    - events/ibm-sleepbtn (LP: #306310)
    - events/ibm-lockbtn, thinkpad-lockorbattery.sh
    - events/ibm-hibernatebtn
    - events/lenovo-lockbtn
    - events/ibm-videobtn
    - events/thinkpad-mute, always-mute.sh
    - events/thinkpad-volume-down
    - events/thinkpad-volume-up (LP: #51537)
    - events/thinkpad-thinklight, thinkpad-thinklight.sh
    - events/tosh-brightness-up
    - events/tosh-brightness-down, toshbright.sh
    - events/tosh-mute
    - events/tosh-sleep
    - events/sony-hibernate
    - events/sony-brightness-up, events/sony-brightness-down, sonybright.sh
    - events/thinkpad-brightness-down, events/thinkpad-brightness-up,
      thinkpad-brightness-up.sh, thinkpad-brightness-down.sh
  * Also drop events/thinkpad-zoom, thinkpad-zoom.sh because this key
    isn't working correctly with or without this script and should be
    fixed up in hal.
  * debian/control: document Vcs-Bzr for the package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Feb 2009 14:28:38 +0100

acpi-support (0.116) jaunty; urgency=low

  [ Jakob Unterwurzacher ]
  * Defensive quoting in 90-hdparm.sh, so that the script doesn't throw
    a syntax error when the battery state is undetermined.

  [ Steve Langasek ]
  * lib/power-funcs: refactor getState() to return 'AC' by default,
    since this is implicitly the case if we don't have a battery.
    LP: #59695.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Jan 2009 02:07:48 -0800

acpi-support (0.115) jaunty; urgency=low

  * {ac,battery,resume,start}.d/90-hdparm.sh: don't just check whether
    laptop-mode is configured to control the drives, also check whether 
    laptop-mode itself is *enabled*.  Finally closes LP: #59695.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Jan 2009 10:50:10 +0000
