=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Uploaders: Loic Minier <lool@dooz.org>, Raphael Hertzog <hertzog@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 4.1.16)
-Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/acpi-support/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/acpi-support/trunk/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/acpi-support/trunk/
+XS-Orig-Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/acpi-support/trunk
+XS-Orig-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/acpi-support/trunk/
 Standards-Version: 3.7.3
 
 Package: acpi-support
 Architecture: i386 amd64 ia64 lpia
 Depends: x11-xserver-utils, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${arch:Depends}, finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}
-Recommends: toshset, smartdimmer, radeontool
+Recommends: toshset, radeontool
 Conflicts: uswsusp (<= 0.2)
 Suggests: laptop-mode-tools
 Description: scripts for handling many ACPI events
