=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,6 @@
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done
 	install -m 644 acpi-support debian/acpi-support/etc/default/;
-	install -m 644 toshiba_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
-	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
 	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
 	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/
