## acpi-support 0.129

=== debian/changelog ===
acpi-support (0.129) karmic; urgency=low

  * Fix ibm-wireless to use the 'rfkill' tool for toggling bluetooth,
    recommending wireless-tools which currently provides this; and fix
    the isAnyWirelessPoweredOn function for the latest change in the rfkill
    /sys interface, looking under phy80211/ instead of under device/
    (LP: #397698).  The toggleAllWirelessStates() function is still broken,
    because the rfkill state on the iwl3945 (at least) is still being done
    in the kernel, so we work around this for now by leaving the function
    inactive.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 13 Oct 2009 01:45:01 -0700

acpi-support (0.128) karmic; urgency=low

  [ Steve Langasek ]
  * Get laptop-mode-tools out of Suggests.  Finally-really-fixes LP: #74683.
  * Fix the touchpad handler to use xinput instead of (unreliable)
    synclient, and add a corresponding Recommends; and call getXconsole so
    we can actually talk to the X server.  LP: #447211.
  * new events/asus-f8sv-touchpad: handle another touchpad ACPI event on
    another ASUS model.  LP: #218598.
  * lib/power-funcs: adjust getXconsole to work when the tty number is not
    present on the X commandline.

  [ Felix Geyer ]
  * lib/policy-funcs: Recognize KDE4 PowerDevil as a power manager.
    LP: #387750.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Oct 2009 16:49:00 -0700

acpi-support (0.127) karmic; urgency=low

  [ Lionel Le Folgoc ]
  * lib/policy-funcs: Recognize xfce4-power-manager as a power manager.
    LP: #425155

  [ Steve Langasek ]
  * Drop /etc/acpi/start.d/90-hdparm.sh: this is redundant because we're
    already calling pm-powersave on start (either via /etc/acpi/power.sh,
    or by one of the desktop power managers as enumerated in
    lib/policy-funcs) so there's no reason we should be reapplying the
    policy here.  LP: #443992, #438355, #318980.
  * Add guidance-power-manager to the list of known desktop power managers.
    LP: #154910

  [ Michael Terry ]
  * lib/policy-funcs: Recognize dalston as a power manager.  LP: #432578

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Oct 2009 20:11:12 -0700

acpi-support (0.126) karmic; urgency=low

  * Drop /etc/acpi/start.d/10-save-dmidecode.sh, which is irrelevant given
    the existence of /sys/class/dmi/id/.
  * Drop events/panasonic-brightness-{down,up}, events/panasonic-mute,
    events/panasonic-volume-{down,up}, and panabright.sh, confirmed to be
    implemented now by the panasonic-laptop kernel driver.
  * Drop events/asus-{a6u-touchpad,internet,lock,wireless} and
    events/asus-media-{next,play-pause,prev,stop}, confirmed to be
    implemented by the asus-laptop kernel driver.
  * Drop events/thinkpad-thinkpad and thinkpad-thinkpad.sh, which is also
    implemented in the thinkpad_acpi driver and should have been dropped a
    while ago.
  * Drop /etc/acpi/{ac,battery}.d, which were still being installed.
  * Drop panapower.sh, which seems to have never been used.
  * Clean up /etc/acpi/toshbright.sh, which was meant to be removed back in
    jaunty
  * Clean up /etc/acpi/hibernatebtn.sh, no longer used.
  * Clean up /etc/acpi/wireless.sh, unused since before hardy.
  * debian/preinst: fix the rm_conffile script to correctly handle conffiles
    whose filename is a substring of another conffile in the same package
  * Drop events/video_brightness{down,up}, video_brightness{up,down}.sh: at
    least some platforms that use these ACPI sequences are seeing them
    correctly translated to input events, so those users will see duplicate
    events unless we drop them.  LP: #178860.
  * Add missing dh_shlibdeps call to debian/rules.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Aug 2009 08:59:55 -0700

acpi-support (0.125) karmic; urgency=low

  * debian/rules, debian/control: drop "arch:Depends" substvar in favor of
    using arch-dependent package relationships directly, and clean up
    various deps that were supposed to be demoted to Recommends long ago.
    LP: #74683.
  * Drop dependency on vbetool entirely, no longer needed now that we've
    handed suspend/resume quirks off to pm-utils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Jul 2009 11:44:27 -0700

acpi-support (0.124) karmic; urgency=low

  [ Steve Langasek ]
  * Drop events/sony-eject, confirmed in bug reports to no longer work due
    to its use of acpi_fakekey.  This needs to be implemented in the kernel
    input layer, but in the meantime there's no reason to keep this here.
    LP: #76924.
  * Drop events/panasonic-{hibernatebtn,sleepbtn}, also reported to not work
    now due to the acpi_fakekey implementation.

  [ Michael Terry ]
  * debian/copyright: Convert to DEP5 format
  * ac.d, battery.d, power.sh, debian/init.d, debian/rules:
    - Don't install power hook directories, instead just call pm-powersave
  * debian/preinst:
    - Remove ac.d and battery.d conffiles

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Jun 2009 15:41:38 -0700

acpi-support (0.123) karmic; urgency=low

  * events/asus-volume-{up,down,mute}: drop, these are handled in the kernel
    input layer now.  LP: #286339.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 May 2009 19:10:16 -0700

acpi-support (0.122) karmic; urgency=low

  * sleep.sh, hibernate.sh:
    - Don't use custom suspend/hibernate solution.  Instead, call pm-utils.
      LP: #366119
  * prepare.sh, resume.sh, resume.d, suspend.d:
    - Delete; no longer used
  * debian/dirs, debian/rules:
    - Don't install resume.d and suspend.d directories
  * debian/control:
    - Depend on pm-utils
  * debian/preinst:
    - Remove any existing resume.d and suspend.d files.

 -- Michael Terry <michael.terry@canonical.com>  Mon, 27 Apr 2009 10:08:23 -0400
