## acpi-support 0.129netbook2

=== debian/changelog ===
acpi-support (0.129netbook2) karmic; urgency=low

  * acpi-support: disable laptop mode, causes problems with ext4 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 03 Dec 2009 13:28:46 -0500

acpi-support (0.129netbook1) karmic; urgency=low

  * acpi-support: enable laptop mode by default per LP: #464917

 -- Bill Filler <bill.filler@canonical.com>  Mon, 30 Nov 2009 10:47:40 -0500
