## acpi-support 0.136

=== debian/changelog ===
acpi-support (0.136) lucid; urgency=low

  * debian/rules: don't pass -n to dh_installinit, we do want changes to
    maintainer scripts - we just don't want the init script called, so use
    --no-start instead.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Apr 2010 04:47:56 -0700

acpi-support (0.135) lucid; urgency=low

  * debian/rules: don't call the init script in the postinst, the script
    exists only to ensure the power policy is applied on boot so we should
    keep our hands off on upgrade.  LP: #567182

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Apr 2010 04:31:14 -0700

acpi-support (0.134) lucid; urgency=low

  * drop asus-eee-volume-* event handlers, which are also now superseded by
    a kernel input device.  LP: #560551.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 13 Apr 2010 17:18:57 -0700

acpi-support (0.133) lucid; urgency=low

  * Repair asus-touchpad.sh by using grep. (LP: #506442)

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Thu, 04 Mar 2010 12:00:21 +0100

acpi-support (0.132) lucid; urgency=low

  * lib/state-funcs, start.d/60-asus-wireless-led.sh, asus-wireless.sh:
    eliminate setLEDAsusWireless altogether; this needs to be handled
    directly by the kernel when the kill switch is toggled, not in a racy
    and inconsistently-applied manner by acpi-support; and in at least some
    cases we know this already *does* happen because of reports that
    /sys/devices/platform/asus-laptop/wlan, used for toggling "the LED" with
    the current kernel module, is actually an interface for toggling *the
    antenna* that happens to also toggle the LED.  Likewise, we should not
    be responsible for bringing up the antenna at boot, so get rid of the
    file in the start.d directory.  LP: #293943, #204378, #334368.
  * Now that the last script is gone from start.d, kill off the directory
    and the init script handling too.
  * Remove the asus-wireless-2 event handler, which is completely redundant
    with the pre-existing asus-wireless-{off,on} handlers.  LP: #207871.

  [ Erik Andrén ]
  * Add support for ATKD 00000037 to events/asus-touchpad.
    This makes the disable touchpad buttons (!) on the EeePc 1005HA work as
    intended.  LP: #502720.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Jan 2010 15:52:56 -0800

acpi-support (0.131) lucid; urgency=low

  * events/lenovo-undock, undock.sh: new scripts to handle the Fn+F9 "undock"
    button on ThinkPads, which unfortunately nothing else handles.  Thanks
    to Jeffrey Baker for the first implementation.  LP: #18864.
  * /etc/default/acpi-support: laptop-mode-tools is no longer installed by
    default, so don't override its setting from here.  LP: #244838, #490186.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Dec 2009 11:04:22 -0800

acpi-support (0.130) lucid; urgency=low

  * Readd support for ATKD 0000006b to events/asus-touchpad.  LP: #314376.
  * Drop dependency on laptop-mode-tools: this is not enabled by default, and
    dropping it lets us remove much of the laptop-mode-tools delta wrt Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 18 Nov 2009 17:22:26 -0600
