## acpi-support 0.136.1

=== debian/changelog ===
acpi-support (0.136.1) lucid-proposed; urgency=low

  * power.sh, lib/policy-funcs: don't call pm-powersave if upower is running,
    as upower already does this for us unconditionally and we don't want to
    run these scripts twice.  Eventually power.sh should be dropped entirely,
    but Kubuntu hasn't yet transitioned to use upower.  LP: #582471.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Jun 2010 19:16:30 -0700
