=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: acpi-support
 Architecture: i386 amd64 ia64 lpia
-Depends: x11-xserver-utils, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}, pm-utils
+Depends: x11-xserver-utils, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}, pm-utils
 Recommends: toshset [i386 amd64], radeontool, xinput, wireless-tools
 Conflicts: uswsusp (<= 0.2)
 Description: scripts for handling many ACPI events
