=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,6 @@
 	for file in events/*; do\
 		install -m 644 $$file debian/acpi-support/etc/acpi/events/;\
 	done
-	for file in start.d/*.sh; do\
-		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
-	done
 	for file in *.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done
@@ -37,7 +34,7 @@
 	dh_installdocs
 	dh_installchangelogs
 	dh_installman
-	dh_installinit -- start 99 2 3 4 5 . stop 20 1 .
+	dh_installinit --no-start -- start 99 2 3 4 5 . stop 20 1 .
 	dh_compress
 	dh_fixperms
 	dh_installdeb
