## acpi-support 0.138.1

=== debian/changelog ===
acpi-support (0.138.1) oneiric-proposed; urgency=low

  * Added lenovo-touchpad2 from precise acpi-support-0.140 which supports
    newer thinkpads that are in the certification process.
  * Backported power-funcs from precise acpi-support-0.140:
    - Use ck-list-sessions to determine active X display and X user. This
      works around lightdm not always recording logins in wtmp (LP #870297).
      (LP: #933626)

 -- Ayan George <ayan.george@canonical.com>  Tue, 03 Apr 2012 11:45:09 -0400

acpi-support (0.138) natty; urgency=low

  * drop sony-* event handlers, which are also now superseded by a kernel
    input device; and drop the sound button action scripts, of which the sony
    events were the last users.  LP: #676685.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Nov 2010 17:01:09 -0800

acpi-support (0.137) maverick; urgency=low

  * power.sh, lib/policy-funcs: don't call pm-powersave if upower is running,
    as upower already does this for us unconditionally and we don't want to
    run these scripts twice.  Eventually power.sh should be dropped entirely,
    but Kubuntu hasn't yet transitioned to use upower.  LP: #582471.
  * lib/power-funcs: drop dependency on finger, we can do this just as well
    using who from coreutils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Jun 2010 19:16:30 -0700
