## acpi-support 0.140

=== debian/changelog ===
acpi-support (0.140) precise; urgency=low

  [ James Ferguson ]
  * asus-touchpad.sh: add support for Elantech touchpads.  LP: #953296.
  * events/lenovo-touchpad2: new event handler for an acpi event on newer
    ThinkPads which always maps to the touchpad.

  [ Troy Sankey ]
  * asus-keyboard-backlight.sh, events/asus-keyboard-backlight-{up,down}:
    add support for hotkey that adjusts the keyboard backlight on the ASUS
    G73jh and others.  LP: #931614.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 13 Mar 2012 09:24:01 -0700

acpi-support (0.139) precise; urgency=low

  * lib/power-funcs: adjust getXuser and getXconsole to use consolekit
    instead of ps/who to identify the "foreground" session and the owner
    of a given X session, since lightdm is currently failing to record this
    information in utmp.  Also, add headers for each of these functions
    documenting how they're supposed to work, since it's completely
    non-obvious and some of the scripts already in acpi-support are using
    them wrong.  Thanks to Ayan George <ayan.george@canonical.com> for the
    preliminary patch.  LP: #933626, #893271.
  * rotatescreen.sh: fix wrong use of getXconsole where getXuser is needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 03 Mar 2012 15:49:47 -0800
