## acpi-support 0.140.1

=== debian/changelog ===
acpi-support (0.140.1) precise-proposed; urgency=low

  * asus-touchpad.sh: Don't handle Synaptics devices. (LP: #804109)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 09 Oct 2012 13:35:58 +0300
