## acpi-support 0.140.2

=== debian/changelog ===
acpi-support (0.140.2) precise-security; urgency=medium

  * SECURITY UPDATE: root escalation via race in policy-funcs (LP: #1340812)
    - lib/policy-funcs: use the X console user instead of the one from an
      arbitrary kded4 process.
    - power.sh: also source /usr/share/acpi-support/power-funcs.
    - CVE-2014-1419

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 14 Jul 2014 08:32:07 -0400
