## acpi-support 0.141

=== debian/changelog ===
acpi-support (0.141) quantal; urgency=low

  [ Steve Langasek ]
  * drop asus-brightness-{up,down} handlers and asus-brn-{down,up} scripts.
    LP: #955176.

  [ Timo Aaltonen ]
  * asus-touchpad.sh: Don't handle Synaptics devices. (LP: #804109)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 09 Oct 2012 13:32:35 +0300
