## acpi-support 0.142

=== debian/changelog ===
acpi-support (0.142) saucy; urgency=low

  * Drop events/lidbtn, lid.sh: Handled by logind now.
  * Drop events/asus-rotate and rotatescreen.sh, this has been handled by
    gnome-settings-daemon and friends for ages.
  * Drop events/sleepbtn, sleep.sh, sleepbtn.sh, also handled by g-s-d and
    friends.
  * Drop events/panasonic-lockbtn, screenblank.sh, lib/screenblank: This only
    applies to xscreensaver and radeontool (dcop has ceased to exist a long
    time ago), and only for a few machines.
  * Drop asus-touchpad.sh, thinkpad-stretchortouchpad.sh, and events using it:
    Handled by desktop.
  * lib/power-funcs: Drop getXuser() and getXconsole(): No remaining users,
    and these used ConsoleKit. Drop consolekit dependency.
  * Drop power.sh and events/{battery,ac}: upower has done this for a long
    time, and we don't support anything else.
  * Drop events/tosh-hibernate and hibernate.sh: Handled by desktops. Drop
    pm-utils dependency.
  * Drop acpi_fakekey, associated build system, and scripts/events that use
    it. This is supposed to work with proper kernel drivers or udev keymap
    overrides, most of it is probably obsolete, and the rest should be fixed
    properly.
  * Drop lib/{device,policy}-funcs, not used by anything any more.
  * Drop debian/init.d, upower automatically does that. Drop lib/power-funcs,
    init script was the last consumer.
  * Drop obsolete dependencies: x11-xserver-utils, hdparm, lsb-base,
    powermgmt-base, laptop-detect, dmidecode.
  * debian/{pre,post}inst: Remove transitional code for versions before 140,
    i. e. the last LTS.
  * debian/preinst: Clean up the gazillion obsolete conffiles which were
    removed above.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Apr 2013 18:17:20 -0700
