=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 Package: acpi-support
 Architecture: i386 amd64 ia64 lpia
-Depends: x11-xserver-utils, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}, pm-utils, consolekit
-Recommends: toshset [i386 amd64], radeontool, xinput, wireless-tools
+Depends: acpid (>= 1.0.4-1ubuntu4), ${shlibs:Depends}
+Recommends: toshset [i386 amd64], wireless-tools
 Conflicts: uswsusp (<= 0.2)
 Description: scripts for handling many ACPI events
  This package contains scripts to react to various ACPI events. It only
