=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,10 @@
 #!/usr/bin/make -f
 
 clean:
-	make clean
 	dh_testdir
 	dh_clean
 
 build:
-	make
 
 install:
 	dh_testdir
@@ -23,8 +21,6 @@
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done
 	install -m 644 acpi-support debian/acpi-support/etc/default/;
-	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
-	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/
 
 binary-indep:
 
@@ -34,7 +30,6 @@
 	dh_installdocs
 	dh_installchangelogs
 	dh_installman
-	dh_installinit --no-start -- start 99 2 3 4 5 . stop 20 1 .
 	dh_compress
 	dh_fixperms
 	dh_installdeb
